% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/epi-functions.R
\name{set.control}
\alias{set.control}
\title{Set control params}
\usage{
set.control(
  type = "SEIQHRF",
  nsteps = 366,
  nsims = 8,
  ncores = 4,
  prog.rand = FALSE,
  rec.rand = FALSE,
  fat.rand = TRUE,
  quar.rand = FALSE,
  hosp.rand = FALSE,
  disch.rand = TRUE
)
}
\arguments{
\item{type}{Type of model: SI, SIR, SIS, SEIR, SEIQHR and 
SEIQHRF available, but only SEIQHRF is likely to work in the 
current version of the code.}

\item{s.num}{Initial number of *S compartment individuals in 
the simulated population. An overall population of 10,000 is a good 
compromise. A set of models will still take several minutes or more
to run, in parallel.}

\item{e.num}{Initial number of E compartment individuals in 
the simulated population.}

\item{i.num}{Initial number of I compartment individuals in 
the simulated population.}

\item{q.num}{Initial number of Q compartment individuals in 
the simulated population.}

\item{h.num}{Initial number of H compartment individuals in
the simulated population.}

\item{r.num}{Initial number of R compartment individuals in 
the simulated population.}

\item{f.num}{Initial number of F compartment individuals in 
the simulated population.}
}
\value{
control.icm object
}
\description{
Sets the controls for stochastic individual contact models simulated with 
icm.
}
